//JavaScript读写命令行
const readline=require('readline');
const rl=readline.createInterface({
    input:process.stdin,
    output:process.stdout
})

//factor序列函数，递归调用
function factor(index){
    if(parseInt(index)<0){
        return -1;
    }
    else if (parseInt(index)===0|parseInt(index)===1){
        return 1;
    }else{
        return parseInt(index)*factor(parseInt(index)-1);
    }
}

//读取命令行参数，如果输入了数字，则直接读取并计算
//node ./factor.js 3
if(process.argv.length>2){
    let index=parseInt(process.argv[2]);//argv[0] 是node.exe ,argv[1]是本文件的名称
    console.log(`the fabonacci sequence of ${index} is ${factor(index)}`);
    process.exit(0);
}

//如果调用时没有输入数字，则在此处输入数字
console.log("please input an integer to calculate the fabonacci sequence");
rl.on('line',(index)=>{
    console.log(`the fabonacci sequence of ${index} is ${factor(index)}`);
    rl.close();
})
